/*----------------------------------------------------------------------------------------------
 Programa: IntT.c
 Data    : 08/05/2015
 Autor   : Prof. Vargas
 Descrio:
 Um sinal de interrupo ser gerado pelo boto RB0 o que 
 incrementa o valor do display, mas apenas na Interrupo.
---------------------------------------------------------------------------------------------*/
#pragma chip PIC16F628A
#pragma config = 0x3F29		//master clear
#include "int16CXX.H"
#pragma origin 4
char concorda;
interrupt int_server(void)
{
  int_save_registers  	// W, STATUS e PCLATH
   if (INTF) 
   {
        INTF = 0;
		concorda++;
		PORTA = concorda;
	 }
        
    /*
  NOTA: GIE  AUTOMATICAMENTE resetado na entrada
        da interrupo e setado na sada do trata-
        mento de interrupo.
        Setar GIE durante a rotina de interrupo
        causaria um grave problema com o sistema.
        Em muitos casos poderia causar pane do
        programa corrente.
   */
    int_restore_registers // W, STATUS e PCLATH
    
}

void main(void)
{
	concorda=0;
	GIE = 0;	// sem interrupes
	PORTA = 0;
	CMCON = 0x07;
	INTE =1;
	PORTB = 0xFF;
	TRISA = 0b.1110.0000;
    TRISB = 0b.1111.1111;
	GIE = 1;
   for(;;)	// Loop permanente
   {
		
    }
}
